.md-grid { max-width: 1680px; }
.md-sidebar { width: 14rem; }
@media screen and (max-width:1219px) {
    [data-md-toggle="drawer"]:checked ~ .md-container .md-sidebar--primary { transform: translateX(14rem); }
    [dir="ltr"] .md-sidebar--primary { left: -14rem; }
}

html {
  scroll-behavior: smooth;
}

/* Make tables more "contensed" */
.md-typeset table:not([class]) td {
  padding-top: .4em;
  padding-bottom: .4em;
}


/* CUSTOM code BLOCK ENUMARATION ANCHOR LINKS */
.highlight code a[id] {
  visibility: visible !important;
  transform: translateX(-0.95em);
}
.highlight code a[id]::before {
  content: '#';
  color: var(--md-code-hl-color);
}
.highlight code a[id]:hover::before {
  color: var(--md-typeset-a-color);
}


/* MAKE HEADERS BACKGROUND MARKED WHEN ANCHOR TARGET */
.md-typeset :is(h1, h2, h3):target {
  background-color: rgba(150,150,250,.1);
  border-radius: 6px;
}
